Name:		butt
Version: 	0.1.11
Release:	3.20
License: 	GPL
Group: 		Multimedia
Summary: 	broadcast using this tool
URL: 		http://butt.sourceforge.net/
Source0: 	%{name}-%{version}-2-src.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-%{version}-build
Packager:       Carsten Schoene <cs@linux-administrator.com>
Vendor:         linux-administrator.com
BuildRequires:  bzip2 glibc-devel libgcc gcc gcc-c++ 

BuildRequires:  portaudio-devel = 19 portaudio = 19

BuildRequires:	libogg libogg-devel libmp3lame-devel libpng-devel libjpeg-devel libvorbis-devel
BuildRequires:	fltk >= 1.1.8 fltk-devel >= 1.1.8 xorg-x11-devel

Requires:	libogg libmp3lame0 libpng libjpeg libvorbis fltk >= 1.1.8

%description
butt (broadcast using this tool) is an easy to use, open source, 
multi OS tool that grabs audio data from your sound card (line-in, CD, wave, etc.), 
encodes the PCM data into MP3/OGG, and sends it to a streaming server. ShoutCast and IceCast are supported.

butt is not a server where other people can connect to.

%prep
%setup -n %{name}-%{version}-2
./configure --prefix %{_prefix} \
	--with-fltk \
	--with-ogg \
	--with-mp3

%build

%__make

%install
install -d $RPM_BUILD_ROOT/usr/bin
%__make DESTDIR=$RPM_BUILD_ROOT prefix=%{_prefix} install


%clean
rm -rf $RPM_BUILD_ROOT/*
rm -rf $RPM_BUILD_DIR/%{name}*


%files
%defattr(-,root,root)
%doc ChangeLog README
%{_bindir}/butt


%changelog
* Sat Dec 27 2008 Carsten Schoene <cs@linux-administrator.com>
- version bump to 0.1.11-2
* Fri Jul 04 2008 Carsten Schoene <cs@linux-administrator.com>
- version bump to 0.1.10
* Mon Apr 14 2008 Carsten Schoene <cs@linux-administrator.com>
- version bump to 0.1.9
* Mon Nov 26 2007 Carsten Schoene <cs@linux-administrator.com>
- initial import

